{*******************************************************}
{                                                       }
{       IBAccess                                        }
{       About dialog                                    }
{                                                       }
{       Author:                                         }
{       Toni Martir                                     }
{       http://www.ibaccess.org                         }
{       e-mail: toni@pala.com                           }
{                                                       }
{       OpenSource license (MPL)                        }
{                                                       }
{*******************************************************}

unit aboutform;

interface

uses Classes, QForms, QStdCtrls, QGraphics, QExtCtrls, QControls;

type
  TFAbout = class(TForm)
    OKBtn: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    LPlana: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    LPlanadelphi: TLabel;
    Shape1: TShape;
    Label15: TLabel;
    Label16: TLabel;
    Image1: TImage;
    Memo1: TMemo;
    procedure FormShow(Sender: TObject);
    procedure LPlanadelphiMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Label10MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


procedure ShowAbout;

implementation

{$R *.xfm}

procedure TFAbout.FormShow(Sender: TObject);
begin
// Animate1.ResName:='TECAVI';
// Animate1.Active:=True;
// Image2.Picture.Assign(Application.Icon);
end;

procedure ShowAbout;
var
 dia:TFAbout;
begin
 dia:=TFAbout.create(Application);
 try
  dia.showmodal;
 finally
  dia.free;
 end;
end;

procedure TFAbout.LPlanadelphiMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
// ShellExecute(self.handle,nil,Pchar(TLabel(Sender).caption),nil,nil,SW_SHOWDEFAULT)
end;

procedure TFAbout.Label10MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
// ShellExecute(self.handle,nil,Pchar('mailto:'+TLabel(Sender).caption+'?Subject=IBAccess'),nil,nil,SW_SHOWDEFAULT)
end;

end.
