{*******************************************************}
{                                                       }
{       IBAccess                                        }
{       New user and alter user dialog                  }
{                                                       }
{       Author:                                         }
{       Toni Martir                                     }
{       http://www.ibaccess.org                         }
{       e-mail: toni@pala.com                           }
{                                                       }
{       OpenSource license (MPL)                        }
{                                                       }
{*******************************************************}

unit ibnewus;

interface

uses
  SysUtils, Classes, QControls, QForms, QDialogs,
  ibmanst, QMask, QStdCtrls;

type
  TFIBNewUser = class(TForm)
    Label1: TLabel;
    EUsername: TEdit;
    Label2: TLabel;
    EPassword: TEdit;
    EConfirm: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    EFirstname: TEdit;
    Emiddlename: TEdit;
    Label5: TLabel;
    ELastName: TEdit;
    Label6: TLabel;
    BOK: TButton;
    BCancel: TButton;
    Label7: TLabel;
    Label8: TLabel;
    EUserID: TMaskEdit;
    EGroupID: TMaskEdit;
    procedure BOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    docreate:boolean;
  end;


implementation

{$R *.xfm}

procedure TFIBNewUser.BOKClick(Sender: TObject);
begin
 if Length(Trim(Eusername.text))<0 then
 begin
  EUsername.SetFocus;
  Raise Exception.create(SIBUsuincorrect);
 end;
 if EPassword.text<>EConfirm.text then
 begin
  EConfirm.SetFocus;
  Raise Exception.create(SIBCOnfirmincorrect);
 end;
 try
  StrToInt(EUserId.TExt);
 except
  EUserID.Text:='';
 end;
 try
  StrToInt(EGroupId.TExt);
 except
  EGroupID.Text:='';
 end;
 docreate:=true;
 Close;
end;

end.
